Skip to main content
GET
Get orders

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountNo
string
required

Sub-account number, e.g. 0001170730.

Response

200 - application/json

Successful response

orders
object[]

List of orders in the order book.

orders[].orderId
string

Order ID.

orders[].symbol
string

Stock symbol.

orders[].execType
string

Trading direction (NB/NS).

orders[].price
integer<int64>

Order price.

orders[].quantity
integer<int64>

Order quantity.

orders[].status
string

Order status.